Package net.shibboleth.idp.cli.impl

# Class JarCheckArguments

java.lang.Object
net.shibboleth.shared.cli.AbstractCommandLineArguments
net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments
net.shibboleth.idp.cli.impl.JarCheckArguments

All Implemented Interfaces:
  `CommandLineArguments`

public class JarCheckArguments extends AbstractIdPHomeAwareCommandLineArguments
Command line arguments for `JarCheckCLI`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`detailed`
look inside the jars.
`private boolean`
`list`
provide a sorted list.
`private org.slf4j.Logger`
`log`
Logger.

## Constructor Summary

Constructors
Constructor
Description
`JarCheckArguments()`

## Method Summary

Modifier and Type
Method
Description
`org.slf4j.Logger`
`getLog()`
`boolean`
`isDetailed()`
Are we doing an in depth survey?.
`boolean`
`isList()`
are we listing everything?
`void`
`printHelp(PrintStream out)`

### Methods inherited from class net.shibboleth.idp.cli.AbstractIdPHomeAwareCommandLineArguments

`getHttpClientName, getHttpClientSecurityParameterstName, getIdPHome, setHttpClientName`

### Methods inherited from class net.shibboleth.shared.cli.AbstractCommandLineArguments

`getLanguageRanges, getLoggingConfiguration, getOtherArgs, getPropertyFiles, isANSI, isHelp, isQuietOutput, isVerboseOutput, isVersion, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### log

@Nullable private org.slf4j.Logger log
Logger.

### detailed

private boolean detailed
look inside the jars.

### list

private boolean list
provide a sorted list.

## Constructor Details

### JarCheckArguments

public JarCheckArguments()

## Method Details

### getLog

@Nonnull public org.slf4j.Logger getLog()

Specified by:
  `getLog` in class `AbstractCommandLineArguments`

### isDetailed

public boolean isDetailed()
Are we doing an in depth survey?.

Returns:
  Returns detailed.

### isList

public boolean isList()
are we listing everything?

Returns:
  Returns list.

### printHelp

public void printHelp(@Nonnull PrintStream out)

Specified by:
  `printHelp` in interface `CommandLineArguments`
Overrides:
  `printHelp` in class `AbstractIdPHomeAwareCommandLineArguments`